Bug 837029 - Change of JBC configuration - LRU algorithm + separate configuration for portal-system workspace
Change of JBC configuration - LRU algorithm + separate configuration for port...
Status: VERIFIED
Product: JBoss Enterprise Portal Platform 5
Classification: JBoss
Component: Portal (Show other bugs)
5.2.1.GA
Unspecified Unspecified
unspecified Severity unspecified
: ---
: 5.2.2.ER01
Assigned To: Default User
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-02 10:45 EDT by Michal Vanco
Modified: 2018-02-06 14:19 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
A change made to the JBoss Cache cache algorithm caused performance issues for some configuration scenarios. The fix introduces configuration with an improved algorithm. The new algorithm references a new configuration file, which now loads correctly. This corrects the performance issues.
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Commits:
8761 by hfnukal at 2012-07-02 16:36:34 EDT (show)
8761 by hfnukal at 2012-07-02 16:36:34 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 837029 - Change of JBC configuration - LRU algorithm + separate configuration for portal-system workspace

4 files changed:

  • epp/portal/branches/EPP_5_2_Branch/component/common/src/main/java/conf/configuration-jboss.properties (+1 / -0)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/jbosscache/cluster/config.xml (+3 / -3)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/jbosscache/local/config.xml (+3 / -3)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/repository-configuration.xml (+1 / -1)
8763 by hfnukal at 2012-07-03 05:47:50 EDT (show)
8763 by hfnukal at 2012-07-03 05:47:50 EDT

Checked in to /mnt/n4aphx2-3.storage.phx2.redhat.com/svn/repos/gatein

Bug 837029 - Change of JBC configuration - LRU algorithm + separate configuration for portal-system workspace

2 files changed:

  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/jbosscache/cluster/config_portal-system.xml (+40 / -0)
  • epp/portal/branches/EPP_5_2_Branch/web/portal/src/main/webapp/WEB-INF/conf/jcr/jbosscache/local/config_portal-system.xml (+39 / -0)


Attachments (Terms of Use)
Patch with new JBC configuration (8.23 KB, patch)
2012-07-02 10:45 EDT, Michal Vanco
no flags Details | Diff


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker GTNPORTAL-2489 Major Resolved Change of JBC configuration - LRU algorithm + separate configuration for portal-system workspace 2013-02-25 09:02:14 EST

  None (edit)
Description Michal Vanco 2012-07-02 10:45:51 EDT
Created attachment 595752 [details]
Patch with new JBC configuration

This BZ is based on https://bugzilla.redhat.com/show_bug.cgi?id=808106 and communication at jbossexo ML.

Attached patch contains JBC configuration with LRU expiration algorithm and also separate configuration for portal-system workspace.
Comment 1 JBoss JIRA Server 2012-07-03 04:15:24 EDT
Boleslaw Dawidowicz <boleslaw.dawidowicz@gmail.com> updated the status of jira GTNPORTAL-2489 to Resolved
Comment 2 Michal Vanco 2012-07-13 05:43:30 EDT
New configuration file is used & loaded properly.
Comment 3 hfnukal@redhat.com 2012-08-27 10:28:25 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause: Change of cache algorithm
Consequences: Performance issues for some scenarioas
Fix: New configuration with different algorithm
Result: New configuration file is used & loaded properly
Comment 4 Jared MORGAN 2012-08-27 19:18:46 EDT
    Technical note updated. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    Diffed Contents:
@@ -1,4 +1 @@
-Cause: Change of cache algorithm
+A change made to the JBoss Cache cache algorithm caused performance issues for some configuration scenarios. The fix introduces configuration with an improved algorithm. The new algorithm references a new configuration file, which now loads correctly. This corrects the performance issues.-Consequences: Performance issues for some scenarioas
-Fix: New configuration with different algorithm
-Result: New configuration file is used & loaded properly
Comment 5 Viliam Rockai 2012-08-28 07:25:56 EDT
Verified again at 5.2.2 CR01

Note You need to log in before you can comment on or make changes to this bug.